Loading...
Searching...
No Matches
ParticleAtlas< PointIndexGridType > Struct Template Reference

`#include <openvdb/tools/ParticleAtlas.h>`

## Classes

struct | Iterator
| Provides accelerated range and nearest-neighbor searches for particles that are partitioned using the ParticleAtlas. More...

## Public Types

using | Ptr = SharedPtr<ParticleAtlas>
using | ConstPtr = SharedPtr<const ParticleAtlas>
using | PointIndexGridPtr = typename PointIndexGridType::Ptr
using | IndexType = typename PointIndexGridType::ValueType

## Public Member Functions

| ParticleAtlas ()
template<typename ParticleArrayType>
void | construct (const ParticleArrayType &particles, double minVoxelSize, size_t maxLevels=50)
| Partitions particle indices.
size_t | levels () const
| Returns the number of resolution levels.
bool | empty () const
| true if the container size is 0, false otherwise.
double | minRadius (size_t n) const
| Returns minimum particle radius for level n.
double | maxRadius (size_t n) const
| Returns maximum particle radius for level n.
PointIndexGridType & | pointIndexGrid (size_t n)
| Returns the `PointIndexGrid` that represents the given level n.
const PointIndexGridType & | pointIndexGrid (size_t n) const
| Returns the `PointIndexGrid` that represents the given level n.

## Static Public Member Functions

template<typename ParticleArrayType>
static Ptr | create (const ParticleArrayType &particles, double minVoxelSize, size_t maxLevels=50)
| Create a new `ParticleAtlas` from the given particles.

## Member Typedef Documentation

## ConstPtr

template<typename PointIndexGridType = PointIndexGrid>

using ConstPtr = SharedPtr<const ParticleAtlas>

## IndexType

template<typename PointIndexGridType = PointIndexGrid>

using IndexType = typename PointIndexGridType::ValueType

## PointIndexGridPtr

template<typename PointIndexGridType = PointIndexGrid>

using PointIndexGridPtr = typename PointIndexGridType::Ptr

## Ptr

template<typename PointIndexGridType = PointIndexGrid>

using Ptr = SharedPtr<ParticleAtlas>

## Constructor & Destructor Documentation

## ParticleAtlas()

template<typename PointIndexGridType = PointIndexGrid>

ParticleAtlas | ( |  | ) |

inline

## Member Function Documentation

## construct()

template<typename PointIndexGridType>
template<typename ParticleArrayType>

void construct | ( | const ParticleArrayType & | particles,
|  | double | minVoxelSize,
|  | size_t | maxLevels = 50 )

inline

Partitions particle indices.

Parameters

  particles | container conforming to the ParticleArray interface
  minVoxelSize | minimum voxel size limit
  maxLevels | maximum number of resolution levels

## create()

template<typename PointIndexGridType>
template<typename ParticleArrayType>

ParticleAtlas< PointIndexGridType >::Ptr create | ( | const ParticleArrayType & | particles,
|  | double | minVoxelSize,
|  | size_t | maxLevels = 50 )

inline static

Create a new `ParticleAtlas` from the given particles.

Parameters

  particles | container conforming to the ParticleArray interface
  minVoxelSize | minimum voxel size limit
  maxLevels | maximum number of resolution levels

## empty()

template<typename PointIndexGridType = PointIndexGrid>

bool empty | ( |  | ) | const

inline

true if the container size is 0, false otherwise.

## levels()

template<typename PointIndexGridType = PointIndexGrid>

size_t levels | ( |  | ) | const

inline

Returns the number of resolution levels.

## maxRadius()

template<typename PointIndexGridType = PointIndexGrid>

double maxRadius | ( | size_t | n | ) | const

inline

Returns maximum particle radius for level n.

## minRadius()

template<typename PointIndexGridType = PointIndexGrid>

double minRadius | ( | size_t | n | ) | const

inline

Returns minimum particle radius for level n.

## pointIndexGrid() [1/2]

template<typename PointIndexGridType = PointIndexGrid>

PointIndexGridType & pointIndexGrid | ( | size_t | n | ) |

inline

Returns the `PointIndexGrid` that represents the given level n.

## pointIndexGrid() [2/2]

template<typename PointIndexGridType = PointIndexGrid>

const PointIndexGridType & pointIndexGrid | ( | size_t | n | ) | const

inline

Returns the `PointIndexGrid` that represents the given level n.